Subject: Re: [bug#30433] [PATCH] gnu: Add epipe.

From: Oleg Pykhalov <[email-masked]>
Date: Thu, 15 Feb 2018 20:47:32 +0300

Leo Famulari <[email-masked]> writes:

> On Wed, Feb 14, 2018 at 04:14:15PM +0300, Oleg Pykhalov wrote:
>> Leo Famulari <[email-masked]> writes:
>> > This commit corresponds to the upstream tag "0.1.0", so you can omit the
>> > commit and revision variables, and just set the version to "0.1.0"...
>> 
>> Maybe it's better to get a source via url-fetch from GitHub archive
>> tarball?
>
> Yeah, if the result is the same I think it's better to use url-fetch.

OK.

>> > I think you could use the patch-shebang procedure from (guix build
>> > utils), as in the package for woof.
>> 
>> As I see only for Perl, because folling does nothing:
>> --8<---------------cut here---------------start------------->8---
>> (patch-shebang "epipe"
>>   (list (string-append (assoc-ref %build-inputs "bash")
>>                        "/bin")))
>> --8<---------------cut here---------------end--------------->8---
>
> Huh, weird! Well, I think that whatever works should be fine.

Pushed as 5b2382929959db9d883982329ec8fdf4103a9351

I'll close the bug report.

Oleg.